# systemtask.h File Reference

`#include <ubixos/types.h>`

Include dependency graph for systemtask.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

void | systemTask ()

## Function Documentation

void systemTask | ( |  | ) |

Definition at line 48 of file systemtask.c.

References biosCall(), mpi_message::data, fclose(), mpi_message::header, taskStruct::id, taskStruct::imageFd, inportByte(), kfree(), kpanic(), kprintf(), mpi_createMbox(), mpi_fetchMessage(), outportByte(), mpi_message::pid, printOff, sched_getDelTask(), sched_yield(), schedFindTask(), strcmp(), systemVitals, vitalsStruct::sysTicks, vitalsStruct::sysUptime, taskStruct::term, tty_find(), videoBuffer, vmmFreeProcessPages(), and x10.

Referenced by kmain().

Here is the call graph for this function: